Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.atomikos.icatch
Interface CompositeCoordinator

All Superinterfaces:
  Serializable

All Known Implementing Classes:
  CompositeTransactionAdaptor, CoordinatorImp

    public interface CompositeCoordinator

extends Serializable

A CompositeCoordinator represents the per-server work done as part of the same termination scope.

Method Summary
`String` | `getCoordinatorId()` Get the identifier for this coordinator.
`RecoveryCoordinator` | `getRecoveryCoordinator()` Get the recovery coordinator instance for this one.
`HeuristicMessage[]` | `getTags()` Get the tags that were set for this coordinator.
`Boolean` | `isRecoverableWhileActive()` Checks whether the instance is recoverable in the active state.
`void` | `setRecoverableWhileActive()` Sets this coordinator to be recoverable while active.

Method Detail

### getCoordinatorId

    String getCoordinatorId()

  Get the identifier for this coordinator.

  Returns:
    String The coordinator id. For imported transactions, this will be the id of the top-level or root transaction. For subtransactions, this will be an independent id.

### getRecoveryCoordinator

    RecoveryCoordinator getRecoveryCoordinator()

  Get the recovery coordinator instance for this one.

  Returns:
    RecoveryCoordinator The recovery coordinator.

### getTags

    HeuristicMessage[] getTags()

  Get the tags that were set for this coordinator.

  Returns:
    HeuristicMessage[] The tags set. These serve as a summary of the local work towards remote client TMs (that way, these do not have to see ALL local heuristic messages, but rather get a relevant summary). The participant proxy for a local coordinator returns these tags as its heuristic messages.

### isRecoverableWhileActive

    Boolean isRecoverableWhileActive()

  Checks whether the instance is recoverable in the active state. Although active recoverability requires more logging overhead, some protocols may need this capability.

  Returns:
    Boolean True iff recoverable in active state. Null if this information is not available (for imported instances). By default, this is false.

### setRecoverableWhileActive

    void setRecoverableWhileActive()
                                   throws UnsupportedOperationException

  Sets this coordinator to be recoverable while active. Ideally, this method is called before any participants are added (otherwise, some participants may have been added and not recovered due to an intermediate crash). This operation may not be unavailable for imported coordinators, but it should always work for locally created (sub)transactions.
  NOTE: active recoverability is inherited by any subtransactions that are created afterwards.

  Throws:
    `UnsupportedOperationException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012. All Rights Reserved.